using System;

namespace Nesusedni
{
    class Program
    {
        static void NapraviString(char c1, char c2, int a1, int a2)
        {
            char[] x1 = new char[a1];
            char[] x2 = new char[a2];
            for (int i = 0; i < a2; i++)
            {
                x2[i] = c2;
            }
            for (int j = 0; j < a1; j++)
            {
                x1[j] = c1;
            }
            if(a2 > a1)
            {
                for(int i = 0; i < a1; i++)
                {
                    Console.Write(x2[i]);
                    Console.Write(x1[i]);
                }
                Console.Write(x2[a2 - 1]);
            }
            else if(a1 > a2)
            {
                for (int i = 0; i < a2; i++)
                {
                    Console.Write(x1[i]);
                    Console.Write(x2[i]);
                }
                Console.Write(x1[a1 - 1]);
            }
            else
            {
                for(int i = 0; i < a1; i++)
                {
                    Console.Write(x1[i]);
                    Console.Write(x2[i]);
                }
            }
        }
        static void Main(string[] args)
        {
            string slova = Console.ReadLine();
            char c1 = slova[0];
            char c2 = slova[1];
            string[] s = Console.ReadLine().Split();
            int a1 = int.Parse(s[0]);
            int a2 = int.Parse(s[1]);
            if(Math.Abs(a1 - a2) == 1 || Math.Abs(a1 - a2) == 0)
            {
                NapraviString(c1, c2, a1, a2);
            }
            else
            {
                Console.WriteLine("nemoguce");
            }
        }
    }
}